package com.zipcodewilmington.phonebook;

import org.junit.Assert;
import org.junit.Test;

/**
 * Created by leon on 1/23/18.
 */
public class PhoneBookTest {




    @Test
    public void hasEntryTest() {
        boolean containsKey;

        PhoneBook contacts = new PhoneBook();
        String name = "jennifer";
        String phoneNumber = "215-222-2222";
        contacts.add(name, phoneNumber);

        boolean actual = contacts.hasEntry(name);

        Assert.assertTrue(actual);




    }

    @Test
    public void lookUpTest() {

        PhoneBook contacts = new PhoneBook();
        String name = "jennifer";
        String phoneNumber = "215-222-2222";
        contacts.add(name, phoneNumber);

        String expected = (phoneNumber);

        String actual = contacts.lookUp(name);

        Assert.assertEquals(expected,actual);

    }

    @Test
    public void removeTest() {

        PhoneBook contacts = new PhoneBook();
        String name = "jennifer";
        String phoneNumber = "215-222-2222";
        contacts.add(name, phoneNumber);

        contacts.remove(name);

        boolean actual = contacts.hasEntry(name);

        Assert.assertFalse(actual);

    }
    @Test
    public void reverseLookUpTest() {

        PhoneBook contacts = new PhoneBook();
        String name = "jennifer";
        String phoneNumber = "215-222-2222";
        contacts.add(name, phoneNumber);

        String expected = (name);

        String actual = contacts.reverseLookUp(phoneNumber);

        Assert.assertEquals(expected, actual);
    }
}
